﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray  = DataGen.Range(0, 10, 0.1, true);
            double[] yValueArray1 = DataGen.Sin(xValueArray);
            double[] yValueArray2 = DataGen.Cos(xValueArray);

            plot.AddFill(xValueArray, yValueArray1, xValueArray, yValueArray2);

            plot.AddScatter(xValueArray, yValueArray1, color : Color.Black);
            plot.AddScatter(xValueArray, yValueArray2, color : Color.Black);

            plot.SetAxisLimits(xMin : 0, xMax : 10);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}